import { ApiBase } from './ApiBase';
import { FreeTextColumnApi } from '../FreeTextColumnApi';
import { FreeTextColumn, FreeTextColumnState, FreeTextStoredValue } from '../../AdaptableState/FreeTextColumnState';
import { IRowNode } from 'ag-grid-enterprise';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { FreeTextColumnInternalApi } from '../Internal/FreeTextColumnInternalApi';
export declare class FreeTextColumnApiImpl extends ApiBase implements FreeTextColumnApi {
    internalApi: FreeTextColumnInternalApi;
    constructor(_adaptable: IAdaptable);
    getFreeTextColumnState(): FreeTextColumnState;
    getFreeTextColumns(): FreeTextColumn[];
    getFreeTextColumnById(technicalId: FreeTextColumn['Uuid']): FreeTextColumn | undefined;
    getFreeTextColumnForColumnId(columnId: string): FreeTextColumn | undefined;
    addFreeTextColumn(freeTextColumn: FreeTextColumn): FreeTextColumn;
    editFreeTextColumn(freeTextColumn: FreeTextColumn): FreeTextColumn;
    setStoredValue(columnId: string, storedValue: FreeTextStoredValue): FreeTextColumn;
    setStoredValues(columnId: string, storedValues: FreeTextStoredValue[], replaceAction: 'All' | 'Conflicting' | 'None'): void;
    deleteFreeTextColumn(columnId: string): void;
    openFreeTextColumnSettingsPanel(): void;
    getFreeTextColumnValueForRowNode(freeTextColumn: FreeTextColumn, rowNode: IRowNode): any;
}
